import request from '@/utils/request'

// 查询运动记录列表
export function listLzydSportLog(query) {
  return request({
    url: '/system/LzydSportLog/list',
    method: 'get',
    params: query
  })
}

// 查询运动记录详细
export function getLzydSportLog(id) {
  return request({
    url: '/system/LzydSportLog/' + id,
    method: 'get'
  })
}

// 新增运动记录
export function addLzydSportLog(data) {
  return request({
    url: '/system/LzydSportLog',
    method: 'post',
    data: data
  })
}

// 修改运动记录
export function updateLzydSportLog(data) {
  return request({
    url: '/system/LzydSportLog',
    method: 'put',
    data: data
  })
}

// 删除运动记录
export function delLzydSportLog(id) {
  return request({
    url: '/system/LzydSportLog/' + id,
    method: 'delete'
  })
}

// 导出运动记录
export function exportLzydSportLog(query) {
  return request({
    url: '/system/LzydSportLog/export',
    method: 'get',
    params: query
  })
}